Bug 1787127 - Missing runtime dependency for epel
Summary: Missing runtime dependency for epel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-PyMySQL
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-31 10:57 UTC by Jeremy Bertozzi
Modified: 2020-01-20 03:09 UTC (History)
4 users (show)

Fixed In Version: python-PyMySQL-0.9.2-3.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-20 03:09:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeremy Bertozzi 2019-12-31 10:57:26 UTC
Description of problem:

Dependency with python36-paramiko.noarch seems to be missing in EPEL7.

Version-Release number of selected component (if applicable):

python36-PyMySQL-0.9.2-2.el7.noarch


How reproducible:

On a RHEL7 machine with EPEL enabled:

Steps to Reproduce:
1. yum install python36-PyMySQL
2. pythyon3 -c 'import pymysql'


Actual results:

python3 -c 'import pymysql'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.6/site-packages/pymysql/__init__.py", line 96, in <module>
    from . import connections as _orig_conn
  File "/usr/lib/python3.6/site-packages/pymysql/connections.py", line 17, in <module>
    from . import _auth
  File "/usr/lib/python3.6/site-packages/pymysql/_auth.py", line 8, in <module>
    from cryptography.hazmat.backends import default_backend
ModuleNotFoundError: No module named 'cryptography'


Expected results:
python36-paramiko should be installed via dependency

Additional info:

Comment 1 Fedora Update System 2020-01-05 18:54:06 UTC
FEDORA-EPEL-2020-ae0d0fc000 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ae0d0fc000

Comment 2 Fedora Update System 2020-01-06 00:09:23 UTC
python-PyMySQL-0.9.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ae0d0fc000

Comment 3 Fedora Update System 2020-01-20 03:09:05 UTC
python-PyMySQL-0.9.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.